<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * MaxSite CMS http://max-3000.com/
 * Плагин похожие статьи
 *
*/

# функция автоподключения плагина
function similar_posts_tags_autoload($args = array())
{
	if ( is_type('page') )
	{
		// зададим функцию - добавку к запросу получения страниц
		mso_set_val('page_other_pages_function_add_custom_sql', 'sql_add_similar_posts_tags');
		
		// определим функцию - добавку к запросу получения страниц
		require(getinfo('plugins_dir').'similar_posts_tags/functions.php');
		
		// после получения страницы нам нужно в результат добавить метаполе с похожими страницами
		mso_hook_add('content_end', 'similar_posts_tags_get_id');
	}
}

# функция выполняется при деинсталяции плагина
function similar_posts_tags_uninstall($args = array())
{	
	mso_delete_option('plugin_similar_posts_tags', 'plugins'); // удалим созданные опции
	return $args;
}


# end file
